package com.flossom.common.core.domain.req;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

/**
 * 用户打卡对象 wx_clock_log
 *
 * @author flossom
 * @date 2024-01-27
 */
public class WxClockLogReq {

    /**
     * 打卡心得
     */
    @NotBlank(message = "请输入打卡心得")
    @Size(min = 1, max = 120, message = "内容限制120个字符以内")
    private String clockContent;

    /**
     * 打卡照片
     */
    List<String> clockImageList = new ArrayList<>();

    public String getClockContent() {
        return clockContent;
    }

    public void setClockContent(String clockContent) {
        this.clockContent = clockContent;
    }

    public List<String> getClockImageList() {
        return clockImageList;
    }

    public void setClockImageList(List<String> clockImageList) {
        this.clockImageList = clockImageList;
    }

}
